<?php
#Made By: AngelOfFaith
#URL: http://coder-lib.ru
#ICQ: 410755038
#Mail: angeloffaith@inbox.ru
#Скпри запрещено продавать, раздавать, менять, выкладывать, переписывать!
#Все права на скрипт принадлежат автору, тоесть мне!
#З.Ы. Уважайте авторские права

include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


$set['title']='Балы преступности!'; // заголовок страницы

include_once '../sys/inc/thead.php';
title();
err();
aut();
if(!isset($user) && !isset($_GET['id'])){
	header("Location: /index.php");
	exit;
	}
$gconf=mysql_fetch_array(mysql_query("SELECT * FROM `gorod_conf`"));

if(isset($user)){
if($gconf[0]['open']!=1){




$action=htmlspecialchars(trim($_GET['action']));


switch ($action){


default:
echo "<div class='page_foot'>";
echo'Привет, '.$user['nick'].'!<br/>';
echo '<FONT COLOR="#FF0000">Здесь можно купить себе баллы приступности!!</FONT>';
echo'<br/> У вас в наличии <FONT COLOR="#FF0000">'.$user['gorod_money'].'</FONT> монет<br/>';
echo'Ваши баллы:<FONT COLOR="#FF0000"> '.$user['gorod_kriminal'].'</FONT><br/></div>';

if($user['gorod_money']<5000){
echo 'У тебя не хватит монет даже на один балл =) <br/>';
}else{

if($user['gorod_kriminal_time']>time()){
function maketime($string) {
if($string < 3600){
$string = sprintf("%02d:%02d", (int)($string / 60) % 60, $string % 60);
}else{
$string = sprintf("%02d:%02d:%02d", (int)($string / 3600) % 24, (int)($string / 60) % 60, $string % 60);
};
return $string;
};
echo '<br/><font color="red">Следующая покупка через '.maketime($user['gorod_kriminal_time']-time()).'</font>';
}else{
echo 'Выбери нужное число баллов для покупки!<br/>';

echo '<br/> -  <a href="obmen.php?action=buy&amp;i=1">10 за (5000)</a><br/>';
echo ' -  <a href="obmen.php?action=buy&amp;i=2">20 за (10000)</a><br/>';
echo ' -  <a href="obmen.php?action=buy&amp;i=3">30 за (15000)</a><br/>';
echo ' -  <a href="obmen.php?action=buy&amp;i=4">40 за (20000)</a><br/>';
echo ' -  <a href="obmen.php?action=buy&amp;i=5">50 за (25000)</a><br/>';
echo ' -  <a href="obmen.php?action=buy&amp;i=6">60 за (30000)</a><br/>';
echo ' -  <a href="obmen.php?action=buy&amp;i=7">70 за (35000)</a><br/>';
echo ' -  <a href="obmen.php?action=buy&amp;i=8">80 за (40000)</a><br/>';
echo ' -  <a href="obmen.php?action=buy&amp;i=9">90 за (45000)</a><br/>';
echo ' -  <a href="obmen.php?action=buy&amp;i=10">100 за (50000)</a><br/><br/>';
}
}
break;


case 'buy':
$i=(int)$_GET['i'];
if(!$i){echo 'Пустые параметры!';break;};
if($i==1){$bal=10;$price=5000;}
elseif($i==2){$bal=20;$price=10000;}
elseif($i==3){$bal=30;$price=15000;}
elseif($i==4){$bal=40;$price=20000;}
elseif($i==5){$bal=50;$price=25000;}
elseif($i==6){$bal=60;$price=30000;}
elseif($i==7){$bal=70;$price=35000;}
elseif($i==8){$bal=80;$price=40000;}
elseif($i==9){$bal=90;$price=45000;}
else{$bal=100;$price=50000;}


if($user['gorod_money']<$price){echo 'У вас недостаточно денег для покупки!';break;};
mysql_query("UPDATE `user` SET `gorod_money`=`gorod_money`-'$price',`gorod_kriminal`=`gorod_kriminal`+'$bal',`gorod_kriminal_time`='".(time()+80000)."' WHERE `id`='".$user['id']."'");
echo 'Куплено!<br/>';
echo '<a href="obmen.php">&laquo;Назад</a>';
break;

};
echo '<div class="page_foot"> - <a href="index.php">В город</a></div>';
}else{echo '<div class="msg">Город закрыт администратором!</div>';};

}else{
echo '<div class="msg">Город доступен только для авторизованых пользователей!</div>';
};

include_once '../sys/inc/tfoot.php';
?>